<template>
  <div class="card-head-sample">
    <div class="page-box">
      <!-- inner edit area -->
      <div class="page-main-inner">
        <div :class="['page-main', `page-main-${page.columns.length}`]">
          <div class="page-column">
            <div class="page-column-main">
              <div class="page-column-body">
                <edit-card-head
                  :data="cardHeadData"
                  id="simple-card-head"
                ></edit-card-head>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapState } from "vuex";
import EditCardHead from "./CardHead";
import { getCardHeadModel } from "../../elementModel";

export default {
  name: "card-head-sample",
  components: { EditCardHead },
  data() {
    return {};
  },
  computed: {
    ...mapState("card", ["cardConfig", "pages"]),
    page() {
      return this.pages[0];
    },
    cardHeadData() {
      const data = getCardHeadModel(this.cardConfig);
      data.isSimple = true;
      return data;
    },
  },
  mounted() {},
  methods: {},
};
</script>
